Public APIAPI ReferenceBilling
Update the team's CDN billing configuration.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
PUT
/v1/teams/{teamId}/billing/cdnUpgrades to a higher tier take effect immediately. Downgrades and mode changes can be scheduled for the next period or applied immediately when current-period usage does not exceed the target tier's included allowance. Only users with a verified email can use this.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
teamId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/teams/string/billing/cdn" \ -H "Content-Type: application/json" \ -d '{ "cdn_mode": "string", "effective": "string", "flat_tier": "string" }'{ "plan": { "cdn_mode": "string", "currency": "string", "currency_minor_digits": 0, "cycle_anchor": "2019-08-24T14:15:22Z", "flat_tier": "string", "next_flat_tier": "string", "pending_cdn_mode": "string", "pending_currency": "string", "pending_currency_minor_digits": 0, "pending_flat_tier": "string", "plan": "string", "team_id": "string" }}